Bug 665971 - bind build links with wrong libraries
bind build links with wrong libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-28 02:22 EST by JW
Modified: 2013-04-30 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: bind-9.7.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-26 23:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix wrong library linkage order. (917 bytes, application/octet-stream)
2010-12-28 02:22 EST, JW
no flags Details

  None (edit)
Description JW 2010-12-28 02:22:46 EST
Created attachment 470919 [details]
Fix wrong library linkage order.

Description of problem:
During build on platform running an older bind, in particular older libdns.so and libisc.so, results in bind-libs module containing linkage to those old libraries rather than the new libraries to be installed.

Version-Release number of selected component (if applicable):
bind-9.7.2-4.P3

How reproducible:
Always

Steps to Reproduce:
1. select system with older installed bind
2. build bind rpms
3. try and freshen installed bind (rpm -Fvh bind-*)
  
Actual results:
3. fails with: "libdns.so.43 required by bind-libs-9.7.2-4.P3" etc


Expected results:
3. should succeed

Additional info:
In lib/isccc/Makefile.in and lib/isccfg/Makefile.in there is an error in the order of link libraries. In both cases ${LIBS} appears before ${ISCLIBS} and/or ${DNSLIBS}.  The ${LIBS} should appear last of course.

Why hasn't the builder of bind picked up this very obvious error?  Or has somebody always resorted to --nodeps rather than solve the glaring problem?
Comment 1 Fedora Update System 2011-02-18 10:30:49 EST
bind-9.7.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bind-9.7.3-1.fc14
Comment 2 Fedora Update System 2011-02-18 10:31:11 EST
bind-9.7.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bind-9.7.3-1.fc15
Comment 3 Fedora Update System 2011-02-18 10:31:33 EST
bind-9.7.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bind-9.7.3-1.fc13
Comment 4 Fedora Update System 2011-02-18 20:22:35 EST
bind-9.7.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bind-9.7.3-1.fc14
Comment 5 Fedora Update System 2011-02-26 23:50:23 EST
bind-9.7.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-03-01 20:47:15 EST
bind-9.7.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-03-02 22:06:09 EST
bind-9.7.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.